problem in installing SpacyTextBlob in colab

  python, spacy

I want to use SpacyTextBlob in google Colab, when I use the formal installation, I got the below error.

OSError: [E053] Could not read config.cfg from /usr/local/lib/python3.7/dist-packages/en_core_web_sm/en_core_web_sm-2.2.5/config.cfg

what I do, first run this block:

import spacy
!pip install spacytextblob
from spacytextblob.spacytextblob import SpacyTextBlob

then based on the output I restart the runtime. then run this code:

nlp = spacy.load('en_core_web_sm')
nlp.add_pipe("spacytextblob")

but at the first line, I got the error.

if I don’t install SpacyTextBlob the default version of Spacy on Colab it’s 2.2.4 but after installation the Spacy version it’s 3.2.1

Source: Python Questions

LEAVE A COMMENT